Flummoxed by IT: Ruby gem install fails due to extconf.rb and mkmf